{
  "uid" : "98d3104e051c652961429bf95fa0b5d6",
  "name" : "suites",
  "children" : [ {
    "name" : "test_case.test_demo",
    "children" : [ {
      "name" : "test_bpm",
      "children" : [ {
        "name" : "TestBPM",
        "children" : [ {
          "name" : "正向用例-正确输入用户名和密码",
          "uid" : "80142e22de024a60",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272598748,
            "stop" : 1716272598811,
            "duration" : 63
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin', 'password': 'MTIzNDU2'}", "'高'", "'正向用例-正确输入用户名和密码'", "{'username': '超级管理员', 'loginStatus': True, 'account': 'admin'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-用户名正确,密码为空",
          "uid" : "1bd3c031f056ab2e",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272598829,
            "stop" : 1716272598886,
            "duration" : 57
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin', 'password': ''}", "'中'", "'反向用例-用户名正确,密码为空'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-用户名正确,密码过长",
          "uid" : "c26c17d72f28aa7f",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272598895,
            "stop" : 1716272598989,
            "duration" : 94
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin', 'password': 'MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2MTIzNDU2'}", "'中'", "'反向用例-用户名正确,密码过长'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-用户名正确,密码过短",
          "uid" : "e425d3e0108cef57",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272598998,
            "stop" : 1716272599093,
            "duration" : 95
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin', 'password': 'm'}", "'中'", "'反向用例-用户名正确,密码过短'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-用户名正确,密码为特殊字符",
          "uid" : "d093b8587a3ab4f3",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599103,
            "stop" : 1716272599203,
            "duration" : 100
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin', 'password': '☯㍿卍卐'}", "'中'", "'反向用例-用户名正确,密码为特殊字符'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-密码正确,用户名为空",
          "uid" : "5532c9175fb2354e",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599213,
            "stop" : 1716272599306,
            "duration" : 93
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': '', 'password': 'MTIzNDU2'}", "'中'", "'反向用例-密码正确,用户名为空'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-密码正确,用户名过长",
          "uid" : "8142d41860b04b15",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599315,
            "stop" : 1716272599407,
            "duration" : 92
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'adminadminadminadmin', 'password': 'MTIzNDU2'}", "'中'", "'反向用例-密码正确,用户名过长'", "{'message': '账号或密码错误'}", "'POST'", "'json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-密码正确,用户名过短",
          "uid" : "96596e0fab9d3415",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599418,
            "stop" : 1716272599517,
            "duration" : 99
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'a', 'password': 'MTIzNDU2'}", "'中'", "'反向用例-密码正确,用户名过短'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-密码正确,用户名为特殊字符",
          "uid" : "5b0b595f880fe013",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599527,
            "stop" : 1716272599627,
            "duration" : 100
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': '☯㍿卍卐', 'password': 'MTIzNDU2'}", "'中'", "'反向用例-密码正确,用户名为特殊字符'", "{'message': '账号或密码错误'}", "'POST'", "'json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "反向用例-密码正确,用户名错误",
          "uid" : "a0b87df8f50dc316",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272599640,
            "stop" : 1716272599737,
            "duration" : 97
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'登录系统'", "{'username': 'admin123', 'password': 'MTIzNDU2'}", "'中'", "'反向用例-密码正确,用户名错误'", "{'message': '账号或密码错误'}", "'POST'", "'application/json'", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/auth'" ]
        }, {
          "name" : "正向用例",
          "uid" : "139913cc61e34bb9",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "failed",
          "time" : {
            "start" : 1716272610326,
            "stop" : 1716272610382,
            "duration" : 56
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'刷新token'", "None", "'中'", "'正向用例'", "{'message': '刷新token成功'}", "'GET'", "None", "'认证接口'", "None", "None", "None", "'http://120.46.172.186:8080/refresh'" ]
        }, {
          "name" : "正向用例",
          "uid" : "7af172a2303b627d",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272610398,
            "stop" : 1716272610534,
            "duration" : 136
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'添加维度'", "{'code': 'api_auto_test_add_dem', 'description': 'api_auto_test_add_dem', 'isDefault': 0, 'name': 'api_auto_test_add_dem'}", "'高'", "'正向用例'", "{'message': '添加维度成功！'}", "'pOst'", "'json'", "'维度管理'", "'delete FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";'", "'delete'", "None", "'http://120.46.172.186:8080/api/demension/v1/dem/addDem'" ]
        }, {
          "name" : "正向用例",
          "uid" : "f7e90e36deb68600",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "failed",
          "time" : {
            "start" : 1716272621599,
            "stop" : 1716272621780,
            "duration" : 181
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'添加组织'", "{'code': 'test_add_org', 'demId': '1792803379156631552', 'exceedLimitNum': 0, 'grade': '', 'limitNum': 0, 'name': '测试添加的组织', 'nowNum': 0, 'orderNo': 0, 'parentId': '0'}", "'高'", "'正向用例'", "{'message': '添加组织成功'}", "'POST'", "'json'", "'组织管理'", "{'select': 'select ID_ FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";', 'delete': 'DELETE FROM uc_org WHERE `CODE_`=\"test_add_org\";'}", "'select|delete'", "'demId'", "'http://120.46.172.186:8080/api/org/v1/org/addOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "10e8cf966692af2d",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272621795,
            "stop" : 1716272621848,
            "duration" : 53
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'组织加入用户'", "{'orgCode': 'test_add_org', 'accounts': 'admin'}", "'高'", "'正向用例'", "{'state': True, 'message': '加入成功', 'value': ''}", "'POST'", "'query'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/orgUsers/addUsersForOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "15e35cc79ee68b8c",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272621856,
            "stop" : 1716272621912,
            "duration" : 56
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'保存组织参数'", "{'query': {'orgCode': 'test_add_org'}, 'body': [{'alias': 'sz', 'value': 100}, {'alias': 'kc', 'value': '语文课'}]}", "'中'", "'正向用例'", "{'state': True, 'message': '保存组织参数成功！', 'value': ''}", "'post'", "'query|json'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/orgParam/saveOrgParams'" ]
        }, {
          "name" : "正向用例",
          "uid" : "9a2316575f97b91e",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "passed",
          "time" : {
            "start" : 1716272621920,
            "stop" : 1716272621978,
            "duration" : 58
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'删除组织'", "'test_add_org'", "'高'", "'正向用例'", "{'state': True, 'message': '删除组织成功！', 'value': ''}", "'POST'", "'text/plain'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/org/deleteOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "cc6c15cf3215c8cc",
          "parentUid" : "ef69bf2bb1b41f3ca3f11617396f6a81",
          "status" : "failed",
          "time" : {
            "start" : 1716272632686,
            "stop" : 1716272632817,
            "duration" : 131
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'根据维度编码删除维度'", "{'ids': '1792803379156631552'}", "'中'", "'正向用例'", "{'message': '删除维度成功'}", "'DELETE'", "'query'", "'维度管理'", "'select ID_ FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";'", "'select'", "'ids'", "'http://120.46.172.186:8080/api/demension/v1/dem/deleteDemByIds'" ]
        } ],
        "uid" : "ef69bf2bb1b41f3ca3f11617396f6a81"
      } ],
      "uid" : "5f023a47dd31329b45d44784c00131e4"
    } ],
    "uid" : "7a8b7e46177bbd4d1efa8551fea4a38d"
  }, {
    "name" : "test_case.test_dependency",
    "children" : [ {
      "name" : "test_dependency",
      "children" : [ {
        "name" : "登录--前置",
        "uid" : "ce412b2b5e44b608",
        "parentUid" : "fc6c9efd9546dcb429acba88a29f612b",
        "status" : "passed",
        "time" : {
          "start" : 1716272632845,
          "stop" : 1716272632940,
          "duration" : 95
        },
        "flaky" : false,
        "newFailed" : false,
        "parameters" : [ ]
      }, {
        "name" : "添加维度-依赖登录",
        "uid" : "dd7fa74e2935b20a",
        "parentUid" : "fc6c9efd9546dcb429acba88a29f612b",
        "status" : "passed",
        "time" : {
          "start" : 1716272632942,
          "stop" : 1716272633094,
          "duration" : 152
        },
        "flaky" : false,
        "newFailed" : false,
        "parameters" : [ ]
      }, {
        "name" : "test用例函数-依赖登录成功和添加维度成功",
        "uid" : "7efd9dd32f98b518",
        "parentUid" : "fc6c9efd9546dcb429acba88a29f612b",
        "status" : "passed",
        "time" : {
          "start" : 1716272633097,
          "stop" : 1716272633098,
          "duration" : 1
        },
        "flaky" : false,
        "newFailed" : false,
        "parameters" : [ ]
      } ],
      "uid" : "fc6c9efd9546dcb429acba88a29f612b"
    } ],
    "uid" : "5fa37ee52138cac4807b87b482b5d721"
  }, {
    "name" : "test_case.test_mirZhang",
    "children" : [ {
      "name" : "test_bpm",
      "children" : [ {
        "name" : "TestBPM",
        "children" : [ {
          "name" : "正向用例",
          "uid" : "510c89b87f6352b8",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "passed",
          "time" : {
            "start" : 1716272633398,
            "stop" : 1716272633535,
            "duration" : 137
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'添加维度'", "{'code': 'api_auto_test_add_dem', 'description': 'api_auto_test_add_dem', 'isDefault': 0, 'name': 'api_auto_test_add_dem'}", "'高'", "'正向用例'", "{'message': '添加维度成功！'}", "'pOst'", "'json'", "'维度管理'", "'delete FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";'", "'delete'", "None", "'http://120.46.172.186:8080/api/demension/v1/dem/addDem'" ]
        }, {
          "name" : "正向用例",
          "uid" : "643ca7629b09152b",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "failed",
          "time" : {
            "start" : 1716272644557,
            "stop" : 1716272644742,
            "duration" : 185
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'添加组织'", "{'code': 'test_add_org', 'demId': '1792803475629817856', 'exceedLimitNum': 0, 'grade': '', 'limitNum': 0, 'name': '测试添加的组织', 'nowNum': 0, 'orderNo': 0, 'parentId': '0'}", "'高'", "'正向用例'", "{'message': '添加组织成功'}", "'POST'", "'json'", "'组织管理'", "{'select': 'select ID_ FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";', 'delete': 'DELETE FROM uc_org WHERE `CODE_`=\"test_add_org\";'}", "'select|delete'", "'demId'", "'http://120.46.172.186:8080/api/org/v1/org/addOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "adb4666aed6ea6fd",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "passed",
          "time" : {
            "start" : 1716272644756,
            "stop" : 1716272644809,
            "duration" : 53
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'组织加入用户'", "{'orgCode': 'test_add_org', 'accounts': 'admin'}", "'高'", "'正向用例'", "{'state': True, 'message': '加入成功', 'value': ''}", "'POST'", "'query'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/orgUsers/addUsersForOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "76ee0be7403e029e",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "passed",
          "time" : {
            "start" : 1716272644818,
            "stop" : 1716272644873,
            "duration" : 55
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'保存组织参数'", "{'query': {'orgCode': 'test_add_org'}, 'body': [{'alias': 'sz', 'value': 100}, {'alias': 'kc', 'value': '语文课'}]}", "'中'", "'正向用例'", "{'state': True, 'message': '保存组织参数成功！', 'value': ''}", "'post'", "'query|json'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/orgParam/saveOrgParams'" ]
        }, {
          "name" : "正向用例",
          "uid" : "b6d10bbf3ce5a604",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "passed",
          "time" : {
            "start" : 1716272644883,
            "stop" : 1716272644938,
            "duration" : 55
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'删除组织'", "'test_add_org'", "'高'", "'正向用例'", "{'state': True, 'message': '删除组织成功！', 'value': ''}", "'POST'", "'text/plain'", "'组织管理'", "None", "None", "None", "'http://120.46.172.186:8080/api/org/v1/org/deleteOrg'" ]
        }, {
          "name" : "正向用例",
          "uid" : "6bce7862e8bf2a3f",
          "parentUid" : "c76c9721dfc2eeaf36e23d7cef2f161e",
          "status" : "failed",
          "time" : {
            "start" : 1716272655685,
            "stop" : 1716272655817,
            "duration" : 132
          },
          "flaky" : false,
          "newFailed" : false,
          "parameters" : [ "'根据维度编码删除维度'", "{'ids': '1792803475629817856'}", "'中'", "'正向用例'", "{'message': '删除维度成功'}", "'DELETE'", "'query'", "'维度管理'", "'select ID_ FROM uc_demension WHERE `CODE_`=\"api_auto_test_add_dem\";'", "'select'", "'ids'", "'http://120.46.172.186:8080/api/demension/v1/dem/deleteDemByIds'" ]
        } ],
        "uid" : "c76c9721dfc2eeaf36e23d7cef2f161e"
      } ],
      "uid" : "67ba6791b97e745dd37a3c2e47827490"
    } ],
    "uid" : "663b5eac116b5bc6651b8e1e82719203"
  } ]
}